org.richfaces.renderkit

## Class EffectRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.EffectRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    EffectRenderer

      public class EffectRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

  Author:
    Nick Belaevski mailto:nbelaevski@exadel.com created 09.08.2007

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertElementParameter(java.lang.Object parameter)`
    `java.lang.String` | `convertParameters(javax.faces.context.FacesContext context, UIEffect effect)`
    `java.lang.String` | `escapeJavaScript(java.lang.Object s)`
    `protected java.lang.Class` | `getComponentClass()`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectRendererBase

          public EffectRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### convertElementParameter

          public java.lang.String convertElementParameter(java.lang.Object parameter)

    - #### convertParameters

          public java.lang.String convertParameters(javax.faces.context.FacesContext context,
                                           UIEffect effect)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### escapeJavaScript

          public java.lang.String escapeJavaScript(java.lang.Object s)

Copyright © 2014. All Rights Reserved.